Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RVALUE Struct Reference

## Data Fields
union {
struct {
VALUE flags
struct RVALUE * next
} free
struct RBasic basic
struct RObject object
struct RClass klass
struct RFloat flonum
struct RString string
struct RArray array
struct RRegexp regexp
struct RHash hash
struct RData data
struct RTypedData typeddata
struct RStruct rstruct
struct RBignum bignum
struct RFile file
struct RNode node
struct RMatch match
struct RRational rational
struct RComplex complex
} | as

## Detailed Description

Definition at line 128 of file gc.c.

## Field Documentation

struct RArray RVALUE::array

Definition at line 139 of file gc.c.

union { ... } RVALUE::as

Referenced by add_slot_local_freelist(), assign_heap_slot(), count_objects(), finalize_list(), gc_mark_children(), internal_object_p(), make_deferred(), make_io_deferred(), markable_object_p(), objspace_each_objects(), and slot_sweep().

struct RBasic RVALUE::basic

Definition at line 134 of file gc.c.

Referenced by count_objects(), internal_object_p(), make_deferred(), markable_object_p(), objspace_each_objects(), and slot_sweep().

struct RBignum RVALUE::bignum

Definition at line 145 of file gc.c.

struct RComplex RVALUE::complex

Definition at line 150 of file gc.c.

struct RData RVALUE::data

Definition at line 142 of file gc.c.

Referenced by make_io_deferred().

struct RFile RVALUE::file

Definition at line 146 of file gc.c.

Referenced by make_io_deferred().

VALUE RVALUE::flags

Definition at line 131 of file gc.c.

struct RFloat RVALUE::flonum

Definition at line 137 of file gc.c.

struct { ... } RVALUE::free

Referenced by add_slot_local_freelist(), assign_heap_slot(), finalize_list(), and slot_sweep().

struct RHash RVALUE::hash

Definition at line 141 of file gc.c.

struct RClass RVALUE::klass

Definition at line 136 of file gc.c.

struct RMatch RVALUE::match

Definition at line 148 of file gc.c.

struct RVALUE* RVALUE::next

Definition at line 132 of file gc.c.

struct RNode RVALUE::node

Definition at line 147 of file gc.c.

Referenced by gc_mark_children().

struct RObject RVALUE::object

Definition at line 135 of file gc.c.

struct RRational RVALUE::rational

Definition at line 149 of file gc.c.

struct RRegexp RVALUE::regexp

Definition at line 140 of file gc.c.

struct RStruct RVALUE::rstruct

Definition at line 144 of file gc.c.

struct RString RVALUE::string

Definition at line 138 of file gc.c.

struct RTypedData RVALUE::typeddata

Definition at line 143 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c